
User Interface - Bug #2749

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

widget keeps drawing with focus highlight when a different from gets selected

10/09/2015 11:38 AM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/09/2015 11:44 AM - Greg Shah

Please see #2726-7 (and note 8)

At initial startup the focus in on the chcb widget in the 1st frame.  Then when the user clicks on the 2nd frame, the focus shifts to the "this is a button"

button.  In P2J, the chcb widget is still drawn with a focus highlight.

#2 - 11/24/2015 09:28 AM - Greg Shah

- Assignee set to Eugenie Lyzenko

#3 - 11/27/2015 02:17 PM - Greg Shah

- Assignee changed from Eugenie Lyzenko to Hynek Cihlar

- Status changed from New to WIP

#4 - 11/27/2015 02:18 PM - Greg Shah

- Assignee changed from Hynek Cihlar to Eugenie Lyzenko

Sorry, wrong task.

#5 - 11/27/2015 09:27 PM - Eugenie Lyzenko

The investigation results. The frames inside test properly receive the gaining/loosing focus. This is the painting issue. When adding repaint() on

loosing focus the issue is fixing. Looking for solution to have smart repaint for only widgets that need to be repainted.

#6 - 11/30/2015 09:38 AM - Eugenie Lyzenko

- File evl_upd20151130a.diff added

- File combo_box_unfocused_issue_fix_20151130.jpg added

The fix is based on the fact when combo-box is losing the focus the widget look is different. It is possible to fix the issue by two ways:

1. Handle the frame loosing focus event. Detect the currently focused widget and repaint it. If it is the combo - it will be properly repainted.

2. Because the combo-box already implements FocusListener interface we can implement single method onFocusLost() in combo-box GUI

implementation to properly repaint the widget when required.

I prefer to use 2-nd approach. The respective diff file is attached. Please review and let me know if I can commit the change into 2677b.
https://proj.goldencode.com/issues/2726#note-7


#7 - 11/30/2015 04:10 PM - Eugenie Lyzenko

- File movie-ratings-dynamic.p_clipped_image_regression_fix_20151130.jpg added

The fix for issue and fix for clipped image in movie-ratings-dynamic.p has been committed in bzr as 10979 for review. This is the content of the

evl_upd20151130a.zip.

#8 - 12/01/2015 05:29 AM - Greg Shah

- % Done changed from 0 to 100

- Status changed from WIP to Closed

#9 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

evl_upd20151130a.diff 1.28 KB 11/30/2015 Eugenie Lyzenko

combo_box_unfocused_issue_fix_20151130.jpg 52.3 KB 11/30/2015 Eugenie Lyzenko

movie-ratings-dynamic.p_clipped_image_regression_fix_20151130.jpg 105 KB 11/30/2015 Eugenie Lyzenko
